# Game.World Class Reference

We use this class to keep track of some global objects or list of objects ! Like entities sometime need to query the world for information to take IA decision. More...

Collaboration diagram for Game.World:

[legend]

List of all members.

## Public Member Functions
| World ()
void | Attach (OutDoorScene outdoor)
float | TerrainHeigth (float x, float z)
| World ()
void | Attach (OutDoorScene outdoor)
float | TerrainHeigth (float x, float z)
## Static Public Member Functions
static World | GetGlobalInstance ()
static World | GetGlobalInstance ()
## Public Attributes
float | priceStone = 10.0f
| These are the public market prices when you need to by a ressource because you don't exploit it.
float | priceWood = 10.0f
float | priceMetal = 10.0f

## Detailed Description

We use this class to keep track of some global objects or list of objects ! Like entities sometime need to query the world for information to take IA decision.

Definition at line 12 of file World.cs.

## Constructor & Destructor Documentation

Game.World.World | ( |  | ) |

Definition at line 16 of file World.cs.

Here is the caller graph for this function:

Game.World.World | ( |  | ) |

Definition at line 16 of file World.cs.

## Member Function Documentation

void Game.World.Attach | ( | OutDoorScene | outdoor | ) |

Definition at line 40 of file World.cs.

void Game.World.Attach | ( | OutDoorScene | outdoor | ) |

Definition at line 40 of file World.cs.

static World Game.World.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 28 of file World.cs.

Here is the call graph for this function:

static World Game.World.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 28 of file World.cs.

Here is the call graph for this function:

float Game.World.TerrainHeigth | ( | float | x,
|  | float | z |
| ) |  |  |

Definition at line 50 of file World.cs.

Here is the call graph for this function:

float Game.World.TerrainHeigth | ( | float | x,
|  | float | z |
| ) |  |  |

Definition at line 50 of file World.cs.

Here is the call graph for this function:

## Member Data Documentation

float Game.World::priceMetal = 10.0f

Definition at line 67 of file World.cs.

float Game.World::priceStone = 10.0f

These are the public market prices when you need to by a ressource because you don't exploit it.

Definition at line 65 of file World.cs.

float Game.World::priceWood = 10.0f

Definition at line 66 of file World.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/World/World.cs
- D:/guillaume/guillara/3D/DXGfx/World/World.cs